Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.control
[Java] Class Phases

    java.lang.Object
      org.codehaus.groovy.control.Phases

    public class Phases
    extends java.lang.Object

Compilation phase identifiers.

Authors:
  Chris Poirier

Version:
  \$Id\$

Field Summary
`static int` | `ALL`
`static int` | `CANONICALIZATION`
`static int` | `CLASS_GENERATION`
`static int` | `CONVERSION`
`static int` | `FINALIZATION`
`static int` | `INITIALIZATION`
`static int` | `INSTRUCTION_SELECTION`
`static int` | `OUTPUT`
`static int` | `PARSING`
`static int` | `SEMANTIC_ANALYSIS`
`static java.lang.String[]` | `descriptions`

Method Summary
`static java.lang.String` | `getDescription(int phase)` Returns a description of the specified phase.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### ALL

    public static final int ALL

### CANONICALIZATION

    public static final int CANONICALIZATION

### CLASS_GENERATION

    public static final int CLASS_GENERATION

### CONVERSION

    public static final int CONVERSION

### FINALIZATION

    public static final int FINALIZATION

### INITIALIZATION

    public static final int INITIALIZATION

### INSTRUCTION_SELECTION

    public static final int INSTRUCTION_SELECTION

### OUTPUT

    public static final int OUTPUT

### PARSING

    public static final int PARSING

### SEMANTIC_ANALYSIS

    public static final int SEMANTIC_ANALYSIS

### descriptions

    public static java.lang.String[] descriptions

Method Detail

### getDescription

    public static java.lang.String getDescription(int phase)

  Returns a description of the specified phase.

Groovy Documentation